Eclipse Draw2d 3.3

## org.eclipse.draw2d
Class Figure.ClippingStrategy

    java.lang.Object
      org.eclipse.draw2d.Figure.ClippingStrategy

All Implemented Interfaces:
  IClippingStrategy

Enclosing class:
  Figure

    protected class Figure.ClippingStrategy

extends Object
implements IClippingStrategy

Default clipping strategy, preserving what has been done within `Figure.paintChildren(Graphics)` w.r.t. clipping prior to 3.6.

Since:
  3.6

Constructor Summary
`protected` `Figure.ClippingStrategy()`

Method Summary
`Rectangle[]` `getClip(IFigure childFigure)` Specifies the clipping region for the given child figure.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Figure.ClippingStrategy

    protected Figure.ClippingStrategy()

Method Detail

### getClip

    public Rectangle[] getClip(IFigure childFigure)

  Description copied from interface: `IClippingStrategy`
  Specifies the clipping region for the given child figure. That is, all parts of the figure, which are not covered by one of the returned rectangles are masked out and will not get painted. Each returned rectangle is considered to be specified in coordinates relative to the given child figure's bounds.

  Specified by:
    `getClip` in interface `IClippingStrategy`
  Parameters:
    `childFigure` - The child figure, which clipping region has to be returned.
  Returns:
    An array of rectangles to specify the clipping region of the figure, i.e. the areas in which the figure should not get clipped. May return an empty array in case the figure should not be visible at all, may not return `null`.

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.